package cn.com.countrygarden.bi.main.dao.ck.satisfaction;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.model.ck.satisfaction.SatisfiedDissatisfiedRegion;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *   不满意因素-区域数据层
 * </p>
 *
 * @author 李森林
 * @date 2021-08-06
 * @version V1.0
 */
@org.apache.ibatis.annotations.Mapper
public interface SatisfiedDissatisfiedRegionMapper extends Mapper<SatisfiedDissatisfiedRegion> {

    Long selectListDataToble(SatisfiedDissatisfiedRegion satisfiedDissatisfiedRegion);

    List<SatisfiedDissatisfiedRegion> queryPageList(SatisfiedDissatisfiedRegion satisfiedDissatisfiedRegion);

    List<SatisfiedDissatisfiedRegion> listBiao();

    List<SatisfiedDissatisfiedRegion> getrevenue(@Param("startTime") String startTime, @Param("endTime") String endTime);

    int insertPL(@Param("orListIn") List<SatisfiedDissatisfiedRegion> orListIn);

    List<String> niancha();

    int updateDelete();
}
